Subject: bug#6803: 24.0.50; pc-selection-mode no longer plays nice with dired (or vice versa)

From: Juanma Barranquero <[email-masked]>
Date: Thu, 5 Aug 2010 22:41:29 +0200

On Thu, Aug 5, 2010 at 13:07, Tim Van Holder <[email-masked]> wrote:
> Dired normally has the up and down arrows bound to dired-previous-line
> (also bound to [p]) and dired-next-line (also bound to [n]), respectively.
> However, when pc-selection-mode is enabled, these bindings are
> apparently overridden now, to previous-line-nomark and next-line-nomark,
> respectively, breaking the normal dired navigation (point is not
> automatically put on the file name).
> Looking at 'C-h m' for dired in an older emacs version (a 23.0.60.1
> build) and today's bzr head, the cause seems to be that while the older
> dired explicitly bound <up> and <down>, the current dired seems to rely
> on remapping <next-line> and <previous-line> instead.

Right, this is a consequence of bug#6632 and revno:100864.

Perhaps it should be reverted, but then, the use case mentioned in the
bug will still be there.

Opinions?

    Juanma